Get shipment status
There are four ways to look up shipment status. Supply only one:
- PkgId: a package ID, made of your client code, the Rush Order order number, and the inpart, such as
ABC1234A. - orderNumber: the order number Rush Order assigned to your order.
- altOrderNumber: the alternate order number you supplied when creating the order.
- customerEmail: every order for that customer. This returns an array of orders instead of a single order.
An inpart is a shipment in Rush Order’s system, designated by a single letter from A to Z. Inparts are generated only once items have been processed.
Authentication
AuthorizationBasic
Basic authentication of the form Basic <base64(username:password)>.
Headers
RushOrderMomCode
All requests require the header to contain RushOrderMomCode, a 3 character string that represents the client internally in Rush Order. This should be given to you by Rush Order.
Query parameters
PkgId
Package ID: your client code, the Rush Order order number, and the inpart. For example, ABC1234A is inpart A of order 1234 for client ABC.
orderNumber
Rush Order specific order number
altOrderNumber
Alternate order number, usually the source order number
customerEmail
The customer's email address. Returns all of that customer's orders.
Response
Success
Order
OR
Orders by customer email
Errors
400
Bad Request Error
